org.bdgenomics.adam.rdd.read.recalibration

# Aggregate

###
Related Docs: object Aggregate | package recalibration

#### class Aggregate extends Observation

Linear Supertypes
Observation, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Aggregate
2. Observation
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(that: Aggregate): Aggregate

4. #### def +(that: Observation): Observation

   Definition Classes
     Observation

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def bayesianErrorProbability(a: Double, b: Double): Double

   Definition Classes
     Observation

8. #### def bayesianErrorProbability: Double

   Estimates the probability of a mismatch under a Bayesian model with Binomial likelihood and Beta(a, b) prior.

   Estimates the probability of a mismatch under a Bayesian model with Binomial likelihood and Beta(a, b) prior. When a = b = 1, this is also known as "Laplace's rule of succession".

   TODO: Beta(1, 1) is the safest choice, but maybe Beta(1/2, 1/2) is more accurate?

   Definition Classes
     Observation

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def empiricalErrorProbability: Double

    Empirically estimated probability of a mismatch.

    Empirically estimated probability of a mismatch.

    Definition Classes
      Observation

11. #### def empiricalQuality: QualityScore

    Empirically estimated probability of a mismatch, as a QualityScore.

    Empirically estimated probability of a mismatch, as a QualityScore.

    Definition Classes
      Observation

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(other: Any): Boolean

    Definition Classes
      Observation → AnyRef → Any

14. #### val expectedMismatches: Double

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      Observation → AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val mismatches: Long

    Definition Classes
      Observation

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def reportedErrorProbability: Double

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toCSV: Seq[String]

    Definition Classes
      Observation

26. #### def toString(): String

    Definition Classes
      Observation → AnyRef → Any

27. #### val total: Long

    Definition Classes
      Observation

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Observation

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped